<template>
  <div class="post__title">
    <h1 class="post__title-text">{{ title }}</h1>
  </div>
</template>

<script lang="ts">
import { Component, Prop, Vue } from 'vue-property-decorator';

@Component
export default class PostTitle extends Vue {
  @Prop() private title!: string;
}
</script>

<style scoped>
  .post__title {
    @apply shadow w-full p-12 bg-white;
  }

  .post__title-text {
    @apply text-3xl font-bold text-center;
  }
</style>
